%define real_name RPC-XML

Name:    perl-RPC-XML
Version: 0.76
Release: 3%{?dist}
Summary: Set of classes for core data, message and XML handling

Group:   Development/Libraries
License: Artistic 2.0 or LGPLv2
URL:     http://search.cpan.org/dist/RPC-XML/

Source0:   http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/RPC-XML-%{version}.tar.gz
Source1:   README.license
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP) >= 5.834
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser) >= 2.31
BuildRequires: perl(File::Spec) >= 0.8
BuildRequires: perl(Scalar::Util) >= 1.19
BuildRequires: perl(constant) >= 1.03
# Recommended
BuildRequires: perl(DateTime) >= 0.70
BuildRequires: perl(DateTime::Format::ISO8601) >= 0.07
BuildRequires: perl(XML::LibXML) >= 1.70
# optional tests
BuildRequires: perl(Net::Server)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(File::Spec) >= 0.8
Requires:       perl(LWP) >= 5.834
Requires:       perl(Scalar::Util) >= 1.19
Requires:       perl(XML::Parser) >= 2.31
Requires:       perl(constant) >= 1.03
# Recommended
Requires:       perl(DateTime) >= 0.70
Requires:       perl(DateTime::Format::ISO8601) >= 0.07
Requires:       perl(XML::LibXML) >= 1.70

%perl_default_filter
# Remove underspecified symbols
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(constant|File::Spec|Scalar::Util|XML::LibXML|XML::Parser\\)\\s*$

%package -n perl-Apache-RPC
Summary: Companion packages for RPC::XML tuned for mod_perl environments
Group:   Development/Libraries
Requires:   perl(File::Spec) >= 0.8
Requires:   perl(RPC::XML::Server)

%description
The RPC::XML package is an implementation of XML-RPC. The module provides
classes for sample client and server implementations, a server designed as an
Apache location-handler, and a suite of data-manipulation classes that are
used by them.

%description -n perl-Apache-RPC
This package contains Apache::RPC::Server and Apache::RPC::Status, useful for
running RPC::XML under mod_perl.


%prep
%setup -qn %{real_name}-%{version}
cp -p %{SOURCE1} .

chmod -c -x t/*

%build
perl Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog* README etc/*.dtd README.license ex/ methods/ t/
%{_mandir}/man3/RPC*
%{_mandir}/man1/*
%{_bindir}/make_method
%{perl_vendorlib}/RPC

%files -n perl-Apache-RPC
%defattr(-,root,root,-)
%doc README.apache2 README.license
%{_mandir}/man3/Apache*
%{perl_vendorlib}/Apache

%changelog
* Mon Jan 16 2012 Petr Pisar <ppisar@redhat.com> - 0.76-3
- Require MODULE_COMPAT because this is Perl package.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.76-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Petr Pisar <ppisar@redhat.com> - 0.76-1
- 0.76 bump

* Mon Apr 04 2011 Petr Pisar <ppisar@redhat.com> - 0.74-1
- 0.74 bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.69-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.69-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.69-2
- Mass rebuild with perl-5.12.0

* Tue Sep 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.69-1
- auto-update to 0.69 (by cpan-spec-update 0.01)
- added a new br on perl(File::Spec) (version 0.8)
- altered br on perl(LWP) (0 => 5.801)
- added a new br on perl(Scalar::Util) (version 1.19)
- altered br on perl(XML::Parser) (0 => 2.31)
- added a new br on perl(constant) (version 1.03)
- added a new req on perl(File::Spec) (version 0.8)
- added a new req on perl(LWP) (version 5.801)
- added a new req on perl(Scalar::Util) (version 1.19)
- added a new req on perl(XML::Parser) (version 2.31)
- added a new req on perl(constant) (version 1.03)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.64-1
- update to 0.64-1
- drop tests patch (fixed!)
- add BR on Net::Server

* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.60-3
- bump

* Tue Aug 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.60-2
- quiesce offending test

* Sat Aug 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.60-1
- even more spec cleanups :-)
- update licensing

* Fri Jul 04 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.60-0.1
- update to 0.60
- spec file cleanups

* Sun Mar 16 2008 Nicholas Boyle <nsboyle@gmail.com> - 0.59-5
- Added BuildRequires for Test::More and XML::Parser

* Sun Mar 16 2008 Nicholas Boyle <nsboyle@gmail.com> - 0.59-4
- Created subpackage perl-Apache-RPC to allow RPC-XML to work without
  requiring mod_perl
- Manpages now installed as regular files, instead of docs
- Removed explicit perl_archlib and perl_vendorarch definitions

* Fri Mar 07 2008 Nicholas Boyle <nsboyle@gmail.com> - 0.59-3
- Added README.license to clarify licensing

* Sat Mar 01 2008 Nicholas Boyle <nsboyle@gmail.com> - 0.59-2
- Initial Fedora packaging

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.59-1
- Updated to release 0.59.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.58-1.2
- Rebuild for Fedora Core 5.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.58-1
- Updated to release 0.58.

* Sat Jan  1 2005 Dries Verachtert <dries@ulyssis.org> - 0.57-1
- Initial package.
